Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.deployment
Class DeploymentClassLoader.ByteURLConnection

    java.lang.Object
      java.net.URLConnection
          org.apache.axis2.deployment.DeploymentClassLoader.ByteURLConnection

Enclosing class:
  DeploymentClassLoader

    public static class DeploymentClassLoader.ByteURLConnection

extends java.net.URLConnection

Field Summary
`protected byte[]` | `bytes`

Fields inherited from class java.net.URLConnection
`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

Constructor Summary
`DeploymentClassLoader.ByteURLConnection(java.net.URL url, byte[] bytes)`

Method Summary
`void` | `connect()`
`java.io.InputStream` | `getInputStream()`

Methods inherited from class java.net.URLConnection
`addRequestProperty, getAllowUserInteraction, getConnectTimeout, getContent, getContent, getContentEncoding, getContentLength, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFields, getIfModifiedSince, getLastModified, getOutputStream, getPermission, getReadTimeout, getRequestProperties, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setConnectTimeout, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setReadTimeout, setRequestProperty, setUseCaches, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bytes

    protected byte[] bytes

Constructor Detail

### DeploymentClassLoader.ByteURLConnection

    public DeploymentClassLoader.ByteURLConnection(java.net.URL url,
                                                   byte[] bytes)

Method Detail

### connect

    public void connect()

  Specified by:
    `connect` in class `java.net.URLConnection`

### getInputStream

    public java.io.InputStream getInputStream()

  Overrides:
    `getInputStream` in class `java.net.URLConnection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.